#ifndef Icon_h
#define Icon_h
#include "Desk.h"
class Desk;
class Table;

  class Icon {
    private:
       Desk *D;
       char *Command, *Caption;
       XGlyphInfo FontInfo;
       bool FreeAlpha;
       bool Glowing;

    public:
       Icon( Desk *Dsk, char *File, char *F, char *Cap, char *Com, int X, int Y );
      ~Icon( );

       Window Win, Text;
       XftDraw *Draw;
       char FileName[128];
       unsigned char *rgb, *alpha, *alpha2;
       int LoadPng( char *filename );
       void Update( ), RefreshIcon( ), UpdateText( );

       void TwiddleGlow( bool NewSetting );

       void Drag( XEvent *Ev );
       bool Dragging, Dragged;
       int  X, Y, Width, Height;

  };

#endif //Icon_h
