#include "Database.h"


  Database::Database( string F ) {
    ifstream *DbFile = new ifstream( F.c_str() );
    string Buffer, Line;
    Table *T;

      File = F;

      while( *DbFile ) {
	 *DbFile >> Buffer;
         if( Buffer == "table" ) {

		getline( *DbFile, Line );
                Line = Line.substr( 1, Line.size()-1 );
                T = AddTable( Line );

                while( *DbFile ) {
			*DbFile >> Buffer;

                        if( Buffer == "end" ) break;
			if( Buffer[Buffer.size()-1] == ':' ) {
			    Buffer = Buffer.substr( 0, Buffer.size()-1 );
                            getline( *DbFile, Line );
                	    Line = Line.substr( 1, Line.size()-1 );
			    T->Set( Buffer, Line );
			}
		}

         }
      }

  }


  Table* Database::AddTable( string Title ) {
      Table *T = new Table( Title );
      Tables.push_back( T );
      return T;
  }


  Table* Database::Query( string Title ) {
      for( int i=0; i<Tables.size(); i++ )
         if( Tables[i]->Title == Title ) return Tables[i];

      return NULL;
  }


  void Database::Write( ) {
      ofstream *DbFile = new ofstream( File.c_str() );

      for( int i=0; i<Tables.size(); i++ ) {
         (*DbFile) << "table " << Tables[i]->Title << endl;
         for( int a=0; a<Tables[i]->Label.size(); a++ ) {
            (*DbFile) << "  " << Tables[i]->Label[a] << ": " << Tables[i]->Value[a] << endl;
         }
         (*DbFile) << "end\n\n";
      }

      DbFile->close( );
  }



  Table::Table( string T ) { 
      Title = T;
  } 
    

  void Table::Set( string L, string V ) {
      if( Query(L) == "" ) {
         Label.push_back( L );
         Value.push_back( V );
      } else {
         for( int i=0; i<Label.size(); i++ )
            if( Label[i] == L ) Value[i] = V;
      }         
  }             

                
  string Table::Query( string L ) {
      for( int i=0; i<Label.size(); i++ )
         if( Label[i] == L ) return Value[i];
                            
      return "";            
  }

